/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

p:last-child,
ol:last-child,
ul:last-child {
	margin-bottom:0 !important;
}

.text-primary {
	color:var(--e-global-color-primary);
}
.text-seconday {
	color:var(--e-global-color-secondary);
}

/* Header */
header.elementor-location-header {
	position:fixed;
	top:0;
	left:0;
	right:0;
	z-index:999;
	
	@media (min-width:1025px) {
		> .elementor-element,
		> .elementor-element > .e-con-inner,
		.ma_header_wrap {
			transition:all ease-in-out 0.2s;
		}

		&.ma_header_sticky {
			> .elementor-element {
				padding:0 !important;

				> .e-con-inner {
					min-width:100% !important;
					padding:0 !important;
				}
			}

			.ma_header_wrap {
				border-radius:0 !important;
			}
		}
	}
}

.ma_blurbg {
	position:relative;
	overflow:hidden;
	
	> .e-con-inner {
		z-index:2;
	}
	
	&.ma_blurbg_ct:after,
	&.ma_blurbg_lt:after,
	&.ma_blurbg_lb:before,
	&.ma_blurbg_rb:before {
		content:"";
		background-color:var(--e-global-color-primary);
		width:800px;
		height:200px;
		position:absolute;
		z-index:1;
		border-radius:50%;
		transform:rotate(-12deg);
		filter:blur(100px);
		opacity:0.25;
		
		@media (max-width:1024px) {
			width:600px;
			height:150px;
			filter:blur(80px);
		}
		
		@media (max-width:600px) {
			width:300px;
			height:100px;
			filter:blur(60px);
		}
	}
	
	&.ma_blurbg_ct:after {
		top:-8%;
		left:calc(50% - 400px);
		@media (max-width:1024px) {
			left:calc(50% - 300px);
		}
		@media (max-width:600px) {
			left:calc(50% - 1500px);
		}
	}
	
	&.ma_blurbg_lt:after {
		top:8%;
		left:-10%;
		@media (max-width:600px) {
			left:-20%;
		}
	}
	
	&.ma_blurbg_lb:before {
		top:auto;
		left:-10%;
		bottom:8%;
		@media (max-width:600px) {
			left:-20%;
		}
	}
	
	&.ma_blurbg_rt:after {
		top:8%;
		left:auto;
		right:-10%;
		@media (max-width:600px) {
			right:-20%;
		}
	}
	
	&.ma_blurbg_rb:before {
		top:auto;
		left:auto;
		right:-10%;
		bottom:8%;
		@media (max-width:600px) {
			right:-20%;
		}
	}
}

.ma_grad_prm {
	background: #7C3AED;
	background: linear-gradient(90deg,rgba(124, 58, 237, 0) 0%, rgba(124, 58, 237, 1) 50%, rgba(124, 58, 237, 0) 100%);
}

.elementor-icon-wrapper {
	display:flex;
}

.ma_timeline {
	position:relative;
	
	&:before {
		content:"";
		left:calc(50% - 2px);
		position:absolute;
		top:0;
		bottom:0;
		border-left:4px dashed #fff;
		@media (max-width:600px) {
			left:calc(50% - 1px);
			border-left:2px dashed #fff;
		}
	}
}

.ma_glow_tr {
	position:relative;
	overflow:hidden;
	
	&:after {
		content:"";
		background-color:var(--e-global-color-primary);
		width:240px;
		height:240px;
		position:absolute;
		top:-120px;
		right:-120px;
		border-radius:50%;
		filter:blur(100px);
		opacity:0.75
	}
}

.ma_img_frame {
	position:relative;
	&:after {
		content:"";
		width:100%;
		height:100%;
		background-color:#7f13ec;
		position:absolute;
		top:0;
		left:0;
		z-index:-1;
		transform:rotate(-4deg);
		border-radius:16px;
		opacity:0.2;
	}
}